# Uses of Class
org.apache.lucene.search.grouping.GroupSelector

- ## Uses of GroupSelector in org.apache.lucene.search.grouping

  Subclasses of GroupSelector in org.apache.lucene.search.grouping
  Modifier and Type
  Class
  Description
  `class`
  `DoubleRangeGroupSelector`
  A GroupSelector implementation that groups documents by double values
  `class`
  `LongRangeGroupSelector`
  A GroupSelector implementation that groups documents by long values
  `class`
  `TermGroupSelector`
  A GroupSelector implementation that groups via SortedDocValues
  `class`
  `ValueSourceGroupSelector`
  A GroupSelector that groups via a ValueSource
  Fields in org.apache.lucene.search.grouping declared as GroupSelector
  Modifier and Type
  Field
  Description
  `protected final GroupSelector<T>`
  SecondPassGroupingCollector.`groupSelector`
  Methods in org.apache.lucene.search.grouping that return GroupSelector
  Modifier and Type
  Method
  Description
  `GroupSelector<T>`
  FirstPassGroupingCollector.`getGroupSelector()`
  `GroupSelector<T>`
  SecondPassGroupingCollector.`getGroupSelector()`
  Methods in org.apache.lucene.search.grouping with parameters of type GroupSelector
  Modifier and Type
  Method
  Description
  `static <T> AllGroupHeadsCollector<T>`
  AllGroupHeadsCollector.`newCollector(GroupSelector<T> selector, Sort sort)`
  Create a new AllGroupHeadsCollector based on the type of within-group Sort required
  Constructors in org.apache.lucene.search.grouping with parameters of type GroupSelector
  Modifier
  Constructor
  Description
  ``
  `AllGroupsCollector(GroupSelector<T> groupSelector)`
  Create a new AllGroupsCollector
  ``
  `DistinctValuesCollector(GroupSelector<T> groupSelector, Collection<SearchGroup<T>> groups, GroupSelector<R> valueSelector)`
  Create a DistinctValuesCollector
  ``
  `FirstPassGroupingCollector(GroupSelector<T> groupSelector, Sort groupSort, int topNGroups)`
  Create the first pass collector.
  ``
  `GroupingSearch(GroupSelector<?> groupSelector)`
  Constructs a `GroupingSearch` instance that groups documents using a `GroupSelector`
  ``
  `SecondPassGroupingCollector(GroupSelector<T> groupSelector, Collection<SearchGroup<T>> groups, GroupReducer<T,?> reducer)`
  Create a new SecondPassGroupingCollector
  ``
  `TopGroupsCollector(GroupSelector<T> groupSelector, Collection<SearchGroup<T>> groups, Sort groupSort, Sort withinGroupSort, int maxDocsPerGroup, boolean getMaxScores)`
  Create a new TopGroupsCollector